import {Component, EventEmitter, Event, h, Prop} from '@stencil/core';
import {MonobankFooterMenuLinksInterface} from "../../../../../../../../../../../index";

@Component({
  tag: 's-cnt-monobank-footer-menu-links',
  styleUrl: 's-cnt-monobank-footer-menu-links.css',
  shadow: false,
  scoped: true,
})
export class SCntMonobankFooterMenuLinks {
  /**
   * Ссылк меню футера
   */
  @Prop() footerMenuLinks: MonobankFooterMenuLinksInterface;

  /**
   * Клик по пунктам меню футера
   */
  @Event() clickOnFooterMenuItem: EventEmitter;

  render() {
    return (
      <div onClick={(event) => this.clickOnFooterMenuItemHandler(event)}>
        <a class="menu-link" >
          {this.footerMenuLinks.name}&nbsp;
          {
            this.footerMenuLinks.label &&
            <span
              class="label-new">{this.footerMenuLinks.label}
          </span>}
        </a>
      </div>

    );
  }

  /**
   *
   */
  public clickOnFooterMenuItemHandler(event) {
    this.clickOnFooterMenuItem.emit(event)
  }
}
