import {Component, Event, EventEmitter, h, Prop} from '@stencil/core';
import {MonobankFooterMenuInterface} from "../../../../../../../../index";

@Component({
  tag: 's-cnt-monobank-footer-menu-column',
  styleUrl: 's-cnt-monobank-footer-menu-column.css',
  shadow: false,
  scoped: true,
})
export class SCntMonobankFooterMenuColumn {
  /**
   * Ссылки меню футера
   */
  @Prop() footerMenuItems: MonobankFooterMenuInterface;

  /**
   * Клик по пунктам меню футера
   */
  @Event() clickOnFooterMenuItem: EventEmitter;

  render() {
    return (
      <div>
        <div class="footer-menu-title">{this.footerMenuItems.caption}</div>
        <FooterMenuLinksFunctionalComponent array={this.footerMenuItems.links} />
      </div>
    );
  }
}

const FooterMenuLinksFunctionalComponent = props => {
  return props.array.map(item => {
    return <s-cnt-monobank-footer-menu-links footerMenuLinks={item} />;
  });
};
