import {Component, ComponentInterface, h, Prop} from '@stencil/core';
import {MonoBankLogInPage} from "./res/interface/common.interface";

@Component({
  tag: 's-monobank-auth-sidebar',
  styleUrl: 's-monobank-auth-sidebar.css',
  shadow: false,
  scoped: true
})
export class SMonobankAuthSidebar implements ComponentInterface {
  /**
   *
   */
  @Prop() logInPage: MonoBankLogInPage;

  render() {
    return (
      <section class="container-fluid p-0 m-0 d-flex">
        <section class='auth-login-scope-wrapper'>
          <div class='auth-login-scope-header'>
            <div class='logo'
                 style={{backgroundImage: "url(" + this.logInPage.logoImg + ")"}}>

            </div>
            <div class='auth-phone'>
              <a href="tel:+78004440550">{this.logInPage.phoneNumber}</a>
            </div>
          </div>
          <section class='auth-login-form-wrapper'>
            <s-monobank-auth-sidebar-form logInForm={this.logInPage.logInSideBarForm}></s-monobank-auth-sidebar-form>
          </section>
        </section>
        <section class='auth-app-link-block-section'
                 style={{backgroundImage: "url(" + this.logInPage.authAppLink.authAppBackImg + ")"}}>
          <s-monobank-apps-demo authAppLink={this.logInPage.authAppLink}></s-monobank-apps-demo>
        </section
        >
      </section>
    );
  }
}

