import {Component, h, State} from '@stencil/core';

@Component({
  tag: 's-monobank-calculator',
  styleUrl: 's-monobank-calculator.css',
  shadow: false,
  scoped: true
})
export class SMonobankCalculator {


  /**
   *
   * */
  @State() openedBackdrop: boolean = false;

  /**
   *
   * */
  @State() openedDropdownList: boolean = false;

  /**
   * dropdownTag
   * */
  public dropdownListTag: HTMLElement;

  /**
   *
   * */
  public backdropDropdownTag: HTMLElement;

  /**
   * сумма кредита
   **/
  public cashTag: HTMLInputElement;

  /**
   * сумма кредита
   * */
  public periodTag: HTMLInputElement;

  /**
   * Минимальная сумма платежа
   * */
  @State() minimumPayment:number = 100;

  /**
   * Минимальная сумма платежа
   * */
  @State() totalLoanCost:number = 2735.5;

  /**
   * Общие затраты
   * */
  @State() totalCosts:number = 235.5;

  /**
   * Эффективная ставка
   * */
  @State() effectiveRate:number = 44.15;


  render() {
    return (
      <div class="calculator-wrapper">
        <div class="calculator-block-wrapper">
          <div class="calculator-block">
            <div class="calculator-left">
              <div class="calculator-left-title">
                Кредитный <br/> калькулятор <picture><img
                src="https://www.monobank.ua/resources/0.1.28.0-1599837001000/img/emj/face-with-monocle_1f9d0.webp"
                alt=""/></picture>
              </div>
              <div class="calculator--form">
                <div class="calculator-form-item"
                     onClick={(event) => this.clickOnDropdownListHandler(event)}
                >
                  <div
                    class="calculator-input calculator-input-dropdown calculator-input--white calculator-input--with-border">
                    <select>
                      <option value="black">
                        Черная карта
                      </option>
                      <option value="black">
                        Черная карта
                      </option>
                      <option value="black">
                        Черная карта
                      </option>
                    </select>
                    <div class="calculator-input-replacer">
                      <div class="value-block">
                        <div class="calculator-label">Карта</div>
                        <div class="calculator-value">Черная карта</div>
                      </div>
                    </div>
                    <div class="calculator-input-icon">
                      <div class="calculator--icon--dropdown">
                        <i class="fas fa-angle-down"></i>
                      </div>
                    </div>
                    <div class={this.openedBackdrop ? "drawer-backdrop  opened " : "drawer-backdrop "}
                         ref={(el) => (this.backdropDropdownTag = el)}
                         onClick={(event) => this.closeBackdropHandler(event)}
                    ></div>
                    <div
                      class={this.openedDropdownList ? 'calculator-dropdown-list active' : 'calculator-dropdown-list'}
                      ref={(el) => this.dropdownListTag = el}
                    >
                      <div class="calculator-dropdown-list--item active" id="black-cart">
                        Черная карта
                      </div>
                      <div class="calculator-dropdown-list--item" id="platinum">
                        Platinum карта
                      </div>
                      <div class="calculator-dropdown-list--item" id="iron-cart" >
                        IRON карта
                      </div>
                    </div>
                  </div>
                </div>
                <div class="calculator-form-item">
                  <div class="calculator-input--wrapper">
                    <label
                      class="label-el calculator-input calculator-input-range calculator-input--white calculator-input--with-border">

                      <div class="value-block">
                        <div class="calculator-label">Сумма</div>
                        <div class="calculator-value">2 500</div>
                      </div>

                      <div class="calculator-input-range--wrapper">
                        <input class="range" type="range" step="2500" min="2500" max="100000" value="2500"
                               onInput={() => this.cashBlackCart(this.cashTag)}
                               ref={(el) => this.cashTag = el}
                        />

                      </div>
                      <div class="marks">
                        <div class="mark-start">2 500 ₽</div>
                        <div class="mark-end">100 000 ₽</div>
                      </div>

                    </label>
                  </div>
                </div>
                <div class="calculator-form-item">
                  <div class="calculator-input--wrapper">
                    <label
                      class="label-el calculator-input calculator-input-range calculator-input--white calculator-input--with-border">
                      <div class="value-block">
                        <div class="calculator-label">Срок</div>
                        <div class="calculator-value">9 месяцев</div>
                      </div>
                      <div class="calculator-input-range--wrapper">
                        <input class="range" type="range" step="3" min="3" max="36" value="3"
                               onInput={() => this.periodBlackCart(this.periodTag)}
                               ref={(el) => this.periodTag = el}
                        />
                      </div>
                      <div class="marks">
                        <div class="mark-start">3 мес.</div>
                        <div class="mark-end">36 мес.</div>
                      </div>
                    </label>
                  </div>
                </div>
                <div class="calculator-form-item calendar">
                  <div
                    class="calculator-input calculator-input-dropdown calculator-input--white calculator-input--with-border">
                    <select>
                      <option value="black">
                        Черная карта
                      </option>
                      <option value="black">
                        Черная карта
                      </option>
                      <option value="black">
                        Черная карта
                      </option>
                    </select>
                    <div class="calculator-input-replacer">
                      <div class="value-block">
                        <div class="calculator-label">Дата возникновения задолженности</div>
                        <div class="calculator-value">01.05.20</div>
                      </div>
                    </div>
                    <div class="calculator-input-icon">
                      <div class="calculator--icon--dropdown">
                        <i class="far fa-calendar"></i>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="calculator-right">
              <div class="calculator-right-title">
                Общие затраты <picture><img
                src="https://www.monobank.ua/resources/0.1.28.0-1599837001000/img/emj/rocket_1f680.webp" alt=""/>
              </picture>
              </div>
              <div class="calculator-right-value">
                {this.totalCosts} <span class="price-value">₽</span>
              </div>
              <div class="calculator--info--item">
                <div class="calculator--info--item-key">Минимальный платеж</div>
                <div class="calculator--info--item-value">
                  <div class="calculator--number-and-currency">
                    <span class="calculator--number">{this.minimumPayment}</span>
                    <span class="calculator--currency">₽</span>
                  </div>
                </div>
              </div>
              <div class="calculator--info--item">
                <div class="calculator--info--item-key">Дата внесения первого платежа</div>
                <div class="calculator--info--item-value">
                  <div class="calculator--number-and-currency">
                    <span class="calculator--number">До 30.06.20</span>
                    {/*<span class="calculator--currency" >₽</span>*/}
                  </div>
                </div>
              </div>
              <div class="calculator--info--item">
                <div class="calculator--info--item-key"> Общая стоимость кредита</div>
                <div class="calculator--info--item-value">
                  <div class="calculator--number-and-currency">
                    <span class="calculator--number">{this.totalLoanCost}</span>
                    <span class="calculator--currency">₽</span>
                  </div>
                </div>
              </div>
              <div class="calculator--info--item">
                <div class="calculator--info--item-key">Эффективная ставка</div>
                <div class="calculator--info--item-value">
                  <div class="calculator--number-and-currency">
                    <span class="calculator--number">{this.effectiveRate}</span>
                    <span class="calculator--currency">%</span>
                  </div>
                </div>
              </div>
              <div class="calculator--info--item">
                <div class="calculator--info--item-key">Льготный период</div>
                <div class="calculator--info--item-value">
                  <div class="calculator--number-and-currency">
                    <span class="calculator--number">До 30.06.20</span>
                    {/*<span class="calculator--currency" >₽</span>*/}
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="calculator-block-hint-wrapper">
            Расчет приблизительный, носит информационный характер и построен из расчета, что клиент совершает транзакцию
            в кредит в торговой точке
          </div>
        </div>
      </div>
    );
  }


  /**
   *
   * */
  public closeBackdropHandler(event) {
    if (event.target === this.backdropDropdownTag) {
      this.openedDropdownList = false;
      this.openedBackdrop = false;
    }
  }

  /**
   * клик на выпадающий лист
   **/
  public clickOnDropdownListHandler(event) {
    if (event.target !== this.backdropDropdownTag) {
      this.openedDropdownList = true;
      this.openedBackdrop = true;
    }
    if (event.target.id === 'black-cart') {
      console.log('клик по карте black-cart', event.target.id)
      this.openedDropdownList = false;
      this.openedBackdrop = false;
    }
    else if (event.target.id === 'platinum') {
      console.log('клик по карте платинум', event.target.id)
      this.openedDropdownList = false;
      this.openedBackdrop = false;
    }
    else if (event.target.id === 'iron-cart') {
      console.log('клик по карте iron-cart', event.target.id)
      this.openedDropdownList = false;
      this.openedBackdrop = false;
    }
  }


  /**
   * отслеживаем состояние суммы кредита
   * */
  public cashBlackCart(cash) {
    let value = Number(cash.value) ;
    this.minimumPayment = value - 2300;
    this.totalLoanCost = value + 2300;
    this.totalCosts = this.totalLoanCost + this.minimumPayment;

  }

  /**
   * отслеживаем состояние суммы кредита
   * */
  public periodBlackCart(period) {
    let months = Number(period.value)
    this.totalLoanCost = months + 3300;
    this.effectiveRate = months + 13.5;
    this.totalCosts = this.totalLoanCost + this.effectiveRate + 2400;
  }
}
