import { Component, h, State } from '@stencil/core';

@Component({
  tag: 's-monobank-deposit-calculator',
  styleUrl: 's-monobank-deposit-calculator.css',
  shadow: false,
  scoped: true,
})
export class SMonobankDepositCalculator {
  /**
   * dropdownTag
   * */
  public dropdownListTag: HTMLElement;

  /**
   *
   * */
  public backdropDropdownTag: HTMLElement;

  /**
   * сумма кредита
   **/
  public cashTag: HTMLInputElement;

  /**
   * сумма кредита
   * */
  public periodTag: HTMLInputElement;

  /**
   * Минимальная сумма платежа
   * */
  @State() minimumPayment: number = 100;

  /**
   * Минимальная сумма платежа
   * */
  @State() totalLoanCost: number = 2735.5;

  /**
   * Общие затраты
   * */
  @State() totalCosts: number = 235.5;

  /**
   * Эффективная ставка
   * */
  @State() effectiveRate: number = 44.15;

  render() {
    return (
      <div class="calculator-bg-block">
        <div class="container">
          <div class="row">
            <div class="col">
              <div class="banner-wrapper">
                <div class="calculator-block">
                  <div class="calculator-content">
                    <div class="calculator-left">
                      <div class="calculator-title">
                        Хочу <br/> приумножить <img src="https://www.monobank.ua/resources/0.1.28.0-1600332893000/img/emj/money-with-wings_1f4b8.png" alt="" />
                      </div>
                      <div class="left-content">
                        <div class="tabs-items">
                          <div class="tabs-item active">Стандартный</div>
                          <div class="tabs-item">IRON</div>
                          <div class="tabs-item">Банка</div>
                        </div>
                        <div class="calculator-form">
                          <div class="calculator-input--wrapper">
                            <div class="input-wrapper">
                              <label class="calculator-input-label">
                                <div class="label-left">
                                  <div class="label-title">Сумма депозита</div>
                                  <input type="text" class="label-input" value="1000" />
                                </div>
                                <div class="label-right">
                                  <div class="right-icon">
                                    <span>₽</span>
                                  </div>
                                </div>
                              </label>
                              <div class="calculator--hint">Минимальная сумма 1 000 ₽</div>
                            </div>
                            <div class="input-wrapper-currency">
                              <label class="calculator-input-label">
                                <div class="label-left">
                                  <div class="label-title">Валюта</div>
                                  <div class="label-currency-value">Рубль</div>
                                </div>
                                <div class="label-right">
                                  <div class="right-icon">
                                    <span>
                                      <i class="fas fa-chevron-down"></i>
                                    </span>
                                  </div>
                                </div>
                              </label>
                            </div>
                          </div>
                          <div class="calculator-form-value"></div>
                        </div>
                        <div class="input-period">
                          <div class="calculator-form-item">
                            <div class="calculator-input--wrapper">
                              <label class="label-el calculator-input calculator-input-range calculator-input--white calculator-input--with-border">
                                <div class="value-block">
                                  <div class="calculator-label">Срок</div>
                                  <div class="calculator-value">8 месяцев под 10%</div>
                                </div>

                                <div class="calculator-input-range--wrapper">
                                  <input
                                    class="range"
                                    type="range"
                                    step="2500"
                                    min="2500"
                                    max="100000"
                                    value="2500"
                                    onInput={() => this.cashBlackCart(this.cashTag)}
                                    ref={el => (this.cashTag = el)}
                                  />
                                </div>
                                <div class="marks">
                                  <div class="mark-start">1 мес.</div>
                                  <div class="mark-end">12 мес.</div>
                                </div>
                              </label>
                            </div>
                          </div>
                        </div>
                        <div class="input-checkbox border-bottom">
                          <label >
                            <div class="left-checkbox">
                              <div class="checkbox-title">Пополнение депозита</div>
                              <div class="checkbox-subtitle">Ежемесячное пополнрение депозита</div>
                            </div>
                            <div class="right-checkbox">
                              <input type="checkbox"/>
                            </div>
                          </label>
                        </div>
                        <div class="input-checkbox ">
                          <label >
                            <div class="left-checkbox">
                              <div class="checkbox-title">Добавлять % к депозиту</div>
                              <div class="checkbox-subtitle">Способ выплаты процентов  </div>
                            </div>
                            <div class="right-checkbox">
                              <input type="checkbox"/>
                            </div>
                          </label>
                        </div>
                        <div class="input-checkbox ">
                          <label >
                            <div class="left-checkbox">
                              <div class="checkbox-title">Досрочное растордение </div>
                              <div class="checkbox-subtitle">Проценты будут ниже  </div>
                            </div>
                            <div class="right-checkbox">
                              <input type="checkbox"/>
                            </div>
                          </label>
                        </div>
                      </div>
                    </div>
                    <div class="calculator-right">
                      <div class="calculator-right-content">
                        <div class="calculator-right-title">Вы получите <img src="https://www.monobank.ua/resources/0.1.28.0-1600332893000/img/emj/rocket_1f680.png" alt=""/> </div>
                        <div class="calculator-header-number-and-currency">
                          <span class="resultValue" >1065,53</span>
                          <span class="calculator--currency"><i class="fas fa-ruble-sign"></i></span>

                        </div>
                        <div class="border-bottom ">
                          <label class="calculator-input-checkbox--small">
                            <div class="label-title">Расчитать с учетом налогов </div>
                            <input type="checkbox"/>
                          </label>
                        </div>
                        <div class="description-items">
                          <div class="description-item">
                            <div class="description-item__title">Вложили </div>
                            <div class="description-item__value">1000<span><i class="fas fa-ruble-sign"></i></span></div>
                          </div>
                          <div class="description-item">
                            <div class="description-item__title">Процентная ставка</div>
                            <div class="description-item__value">9.5% годовых</div>
                          </div>
                          <div class="description-item">
                            <div class="description-item__title">Процентная ставка после уплаты налогов</div>
                            <div class="description-item__value">7.65% годовых</div>
                          </div>
                          <div class="description-item">
                            <div class="description-item__title">Удержано налога</div>
                            <div class="description-item__value">12,98<span><i class="fas fa-ruble-sign"></i></span></div>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>

                </div>

              </div>
              <div class="calculator-block-hint--wrapper">
                <div class="calculator-block-hint">Расчет процентов носит справочный характер</div>
              </div>
            </div>
          </div>
        </div>
      </div>
    );
  }

  /**
   * отслеживаем состояние суммы кредита
   * */
  public cashBlackCart(cash) {
    let value = Number(cash.value);
    console.log('cash', value)
    // this.minimumPayment = value - 2300;
    // this.totalLoanCost = value + 2300;
    // this.totalCosts = this.totalLoanCost + this.minimumPayment;
  }

  /**
   * отслеживаем состояние суммы кредита
   * */
  public periodBlackCart(period) {
    let months = Number(period.value);
    console.log('period', months)
    // this.totalLoanCost = months + 3300;
    // this.effectiveRate = months + 13.5;
    // this.totalCosts = this.totalLoanCost + this.effectiveRate + 2400;
  }
}
