import {Component, h, Prop} from '@stencil/core';
import {MonobankRatesInterface} from "../../index";

@Component({
  tag: 's-monobank-rates',
  styleUrl: 's-monobank-rates.css',
  shadow: false,
  scoped: true
})
export class SMonobankRates {

  /**
   * Данные для тарифа
   * */
  @Prop() monobankRatestMock:MonobankRatesInterface;

  render() {
    return (
      <div class="rates-wrapper">
        <div class="container">
          <div class="row">
            <div class="col-12">
              <div class="rates-header">
                    <div class="rates-header_title">Тарифы</div>
                    <div class="rates-header_subtitle">Мы предлагаем выгодные условия в Украине</div>
                    <div class="rates-header_btn">
                      <a href="#" class="btn-detail-rates" >
                        Детальные тарифы
                      </a>
                    </div>
                  </div>
              <div class="rates-content">
                <div class="container">
                  <div class="row">
                    <div class="col-3">
                      <div class="sidebar">
                        <div class="column-header">

                        </div>
                        <div class="column-content">
                          <div class="column-item">Льготный период</div>
                          <div class="column-item">Процентная ставка	</div>
                          <div class="column-item cash ">Снятие наличных</div>
                          <div class="column-item">Пополнение</div>
                          <div class="column-item">Процент на остаток</div>
                          <div class="column-item">Кешбэк</div>
                        </div>
                      </div>
                    </div>
                    <RatesCard rates={this.monobankRatestMock.banksRates}></RatesCard>
                  </div>
                </div>
              </div>
              <div class="rates-content-mobile">
                <div class="rates-content-mobile-item">
                  <div class="mobile-item-title">Льготный период</div>
                  <div class="mobile-item-value">до 62 дней</div>
                </div>
                <div class="rates-content-mobile-item">
                  <div class="mobile-item-title">Процентная ставка</div>
                  <div class="mobile-item-value">3,1%</div>
                </div>
                <div class="rates-content-mobile-item">
                  <div class="mobile-item-title">Снятие наличных</div>
                  <div class="mobile-item-value">
                    0,5% — собственные средства<br/>
                    0,4% — собственные средства
                  </div>
                </div>
                <div class="rates-content-mobile-item">
                  <div class="mobile-item-title">Пополнение</div>
                  <div class="mobile-item-value">Бесплатно</div>
                </div>
                <div class="rates-content-mobile-item">
                  <div class="mobile-item-title">Процент на остаток</div>
                  <div class="mobile-item-value">7,1% годовых</div>
                </div>
                <div class="rates-content-mobile-item">
                  <div class="mobile-item-title">Кешбэк</div>
                  <div class="mobile-item-value">До 20%</div>
                </div>
              </div>
              <div class="additional-info">
                <div class="left">
                  <div class="deposit-template-link--wrapper">
                    <a href="#">
                      <i class="far fa-file-pdf"></i> Существенные характеристики услуги (Согласно 141 постановлению НБУ)
                    </a>
                  </div>

                </div>
                <div class="right">* По состоянию на 1 сентября 2020 г. </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    );
  }

}

/**
 * Получение тарифов
 * */

const RatesCard = (props) => {
  return props.rates.map(item => {
    return (
      <div class="col-3">
        <div class={item.status ? "column active-column" : "column"}>
          <div class="column-header">
            <div class="column-header-title">
              {item.name}
            </div>
            <div class="column-header-subtitle">
              {item.subtitle}
            </div>
          </div>
          <div class="column-content">
            <div class="column-item">{item.period}</div>
            <div class="column-item">{item.interestRate}</div>
            <div class="column-item cash">
              {item.cash}
            </div>
            <div class="column-item">{item.replenishment}</div>
            <div class="column-item">{item.percentageOnBalance}	</div>
            <div class="column-item">{item.cashback}	</div>
          </div>
        </div>
      </div>
    )
  })
}
